---
workflow:
  rules:
    - changes:
      - IaC/**.tf
      when: always

include:
  - project: 'csimpifon/tj-ci-templates'
    ref: master
    file: 'tj-ci-templates/terraform/generic.terraform.gitlab-ci.yml'
variables:
  AWS_ACCESS_KEY_ID: ${aws_access_key_id_prd}
  AWS_SECRET_ACCESS_KEY: ${aws_secret_access_key_prd}
  AWS_DEFAULT_REGION: eu-west-1
